%define DBVer	1.79.1

Summary:	Debian apt tools for %_real_vendor
Name:		apt-mga
Version:	1.4.6
%define version1	1.4.6
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Packaging
Url:		http://ftp.de.debian.org/debian/pool/main/a/apt/
Source:		http://ftp.de.debian.org/debian/pool/main/a/apt/apt_%{version}.tar.xz
Patch0:         apt_0.8.9-fix-build.patch
Requires:		bzip2
Requires:       gnupg
BuildRequires:	libtool-base
BuildRequires:  docbook-style-xsl >= 1.78.1
# Mandatory for apt-ftparchive build
BuildRequires:  libdb4.8-devel
BuildRequires:  dpkg
BuildRequires:  doxygen
BuildRequires:  xsltproc
BuildRequires:  po4a
BuildRequires:  w3m
#
BuildRequires:  gtest-devel
BuildRequires:  bzip2-devel
BuildRequires:  pkgconfig(libcurl) >= 7.19.4
BuildRequires:  pkgconfig(liblzma)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(liblz4)
BuildRequires:  cmake >= 3.4
Conflicts:	apt 

%description
Provides tools useful to manage a Debian repository on a %_real_vendor distribution (apt-ftparchive e.g.).

#--------------------------------------------------------------------

%package devel
Summary:        Debian apt tools for %_real_vendor - devel
Group:		System/Packaging

%description devel
Developement files for %{name}.

%files devel
%{_includedir}/apt-pkg

#--------------------------------------------------------------------

%prep
%setup -q -n apt-%{version1}
%patch0 -p0

%build
# As no DebianDoc is available yet, remove xml doc build
perl -pi -e 's/^\[type: docbook\]/#[type: docbook]/' doc/po4a.conf
perl -pi -e 's/^\[type: sgml\]/#[type: sgml]/' doc/po4a.conf
mkdir -p  build/doc/doxygen
%cmake
%make_build

%install
%make_install -C build

%files
%license COPYING* debian/copyright
%doc README.* AUTHORS
%doc %{_docdir}/libapt-pkg-doc
%doc %{_docdir}/apt-doc
%doc %{_docdir}/apt-utils/examples/*
%doc %{_docdir}/apt/examples/*

%{_bindir}/apt*
%{_libdir}/libapt*
%dir %{_libexecdir}/apt
%{_libexecdir}/apt/*/*
%{_libexecdir}/apt/apt*
%{_libexecdir}/dpkg/methods/apt/*
%{_datadir}/bash-completion/completions/apt
%{_mandir}/*/*/*xz
%{_mandir}/*/*xz
%{_datadir}/locale/*/LC_MESSAGES/*mo


%changelog
* Tue Jun 27 2017 bcornec <bcornec> 1.4.6-1.mga6
+ Revision: 1108571
- update to upstream 1.4.6

* Mon Jun 26 2017 bcornec <bcornec> 0.9.7.9+deb7u7-1.mga6
+ Revision: 1108486
- update to upstream 0.9.7.9+deb7u7

* Thu Oct 16 2014 bcornec <bcornec> 0.8.10.3+squeeze5-1.mga5
+ Revision: 759549
- update to upstream 0.8.10.3+squeeze5

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.8.9-12.mga5
+ Revision: 677875
- Mageia 5 Mass Rebuild

* Mon Jan 06 2014 bcornec <bcornec> 0.8.9-11.mga4
+ Revision: 565080
- apt-mga requires docbook-style-xsl >= 1.78.1 to build and libdb4.8-devel in order to have apt-ftparchive built and a minor patch to configure in order to use the right mga libdb

* Tue Oct 22 2013 umeabot <umeabot> 0.8.9-10.mga4
+ Revision: 545739
- Mageia 4 Mass Rebuild

* Wed Oct 16 2013 dmorgan <dmorgan> 0.8.9-9.mga4
+ Revision: 501686
- Fix build

* Fri Jan 25 2013 cjw <cjw> 0.8.9-8.mga3
+ Revision: 392195
- another fix for parallel builds

* Tue Jan 22 2013 fwang <fwang> 0.8.9-7.mga3
+ Revision: 390723
- update rpm group

* Fri Jan 18 2013 pterjan <pterjan> 0.8.9-6.mga3
+ Revision: 389450
- Make sure includes are done before starting the build
- Fix License

* Fri Jan 18 2013 pterjan <pterjan> 0.8.9-5.mga3
+ Revision: 389442
- Remove wrong build dependency

* Fri Jan 11 2013 sander85 <sander85> 0.8.9-4.mga3
+ Revision: 346549
- Fix build with GCC 4.7

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + dmorgan <dmorgan>
    - Fix buildrequires

* Fri Mar 02 2012 malo <malo> 0.8.9-2.mga2
+ Revision: 216829
- fix summary and description (mga#4422)

* Tue Dec 13 2011 dmorgan <dmorgan> 0.8.9-1.mga2
+ Revision: 181128
- Remove mandriva occcurencies

  + bcornec <bcornec>
    - Upload apt-mga from apt-mdv in Mandriva
    - Created package structure for apt-mga.

